import logger from "@/lib/logger";
import type { NextConfig } from "next";

const nextConfig: NextConfig = {
  /* config options here */
  serverExternalPackages: ["pino", "pino-pretty"],
};

if (!process.env.GITEA_URL || !process.env.GITEA_TOKEN) {
  logger.error("GITEA_URL and GITEA_TOKEN must be set in your .env file");
  throw new Error("GITEA_URL and GITEA_TOKEN must be set in your .env file");
}

export default nextConfig;
