"use server";

import { APIError, CreateUserOption, User } from "gitea-js";
import { callGiteaApi, gitea, GiteaApiResponse } from "@/lib/gitea";

export async function adminCreateUser(
  body: CreateUserOption
): Promise<GiteaApiResponse<User, APIError>> {
  const context = { body };
  const result = await callGiteaApi(
    () => gitea.admin.adminCreateUser(body),
    "Successfully created user",
    "Failed to create user",
    context
  );
  return result;
}
